# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize /usr/bin/gtkdocize /usr/bin/mysql_config /usr/bin/unzip /usr/bin/xsltproc gcc-c++
# END SourceDeps(oneline)
%define python_binding 1
%define ruby_binding 0

Name:           tomoe
Version:        0.6.0
Release:        alt1_25
Summary:        Handwritten input system for Japanese and Chinese

Group:          System/Libraries
License:        LGPLv2+
URL:            http://tomoe.sourceforge.jp/
Source0:        http://downloads.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.gz
Patch0:         tomoe-0.6.0-multiarch-conflict.patch
Patch1:         tomoe-0.6.0-bz502662.patch
Patch2:         tomoe-0.6.0-fixes-glib-includes.patch
BuildRequires:  glib2-devel gettext gtk-doc libtool intltool
BuildRequires:  perl(XML/Parser.pm)
%if %{python_binding}
BuildRequires:  python-module-pygobject-devel python-devel python-module-pygtk-devel
%endif
%if %{ruby_binding}
BuildRequires:  ruby-glib2-devel
%endif
Source44: import.info
## for extra dictionary backends
#BuildRequires:  mysql-devel, subversion-devel, hyperestraier-devel

%description
A program which does Japanese handwriting recognition.


%package devel
Summary:    Tomoe development files
Group:      Development/C
Requires:   %{name} = %{version}-%{release}

%description devel
The tomoe-devel package includes the header files for the tomoe package.
Install this package if you want to develop programs which use tomoe.


%prep
%setup -q
%patch0 -p0 -b .multiarch-conflict
%patch1 -p0 -b .bz502662
%patch2 -p1 -b .glib

%build
autoreconf -vif
%configure --disable-static --enable-gtk-doc
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

%if !%{ruby_binding}
rm -f $RPM_BUILD_ROOT%{_libdir}/ruby/site_ruby/*/tomoe.rb $RPM_BUILD_ROOT%{_libdir}/ruby/site_ruby/*/*-linux/*
%endif
chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/xml2est.rb

# remove .la files
find ${RPM_BUILD_ROOT}%{_libdir} -name '*.la' | xargs rm

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README TODO data/kanjidic*.html
%{_libdir}/libtomoe.so.*
%if %{python_binding}
%{_libdir}/python?.?/site-packages/tomoe.so
%endif
%{_libdir}/tomoe
%{_datadir}/tomoe
%dir %{_sysconfdir}/tomoe
%config(noreplace) %{_sysconfdir}/tomoe/config


%files devel
%{_libdir}/libtomoe.so
%{_includedir}/tomoe
%{_libdir}/pkgconfig/tomoe.pc
%{_datadir}/gtk-doc
%{_libdir}/pkgconfig/pytomoe.pc
%if %{ruby_binding}
%{_libdir}/ruby/site_ruby/1.8/tomoe.rb
%{_libdir}/ruby/site_ruby/1.8/*-linux/*
%endif

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_25
- initial fc import

